function init()
	-- NAME & GRAPHIC --
	c.name = "Reef"
	c.gfxFile = "reef.png"
	c.hitScale = .8

	-- STATS --
	c.mass = 300
	c.stat.thrust = 0
	c.stat.maxSpeed = 50
	c.stat.turnRate = 25
	c.stat.armour = 128--actually killed when all of its oysters are dead
	
	c.ignoreShipCollisions = 1
	c.ignoreShotCollisions = 1

	-- MISC --
	c.add_dropship("Databank")
	
	c.load_cshape("filled.png")
	--c.add_dropship("Asteroid2")
	--c.add_dropship("Asteroid2")
	--c.add_dropship("Asteroid2")
	--c.add_dropship("Asteroid2")
	--c.add_dropship("Asteroid2a")
	--c.add_dropship("Asteroid2a")
	--c.add_dropship("Asteroid2b")
	--c.add_dropship("Asteroid2b")
	--c.add_dropship("Asteroid2c")
	--c.add_dropship("Asteroid2c")
	
	c.setExplodeSound("explode_rock.wav")
	c.bio = 1
	c.material = 2--gib debris
	c.add_item("point", 64)
	c.desc = "Save the reefs! Er, wait. I read that wrong. Kill the reefs before they kill us!"
	c.behavior = "boss_reef"
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 4	--from map_icons.png, which frame to use.
	return 0
end